/* LaTeX2Sdoc
 *  Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package jp.gr.java_conf.ccs2.tool.tex2sdoc;

/** 
    manage argument contents and argument region 
    
    \text{abcd} after
          ^    ^ endPos
       startPos 
    contents = abcd
 */
public class ArgumentInfo  {

    public String [] contents;
    public int startPos,endPos;
    ArgumentInfo(int ps) {
	contents = new String[0];
	startPos = ps;
	endPos = ps;
    }
    
    ArgumentInfo(String [] args,int x,int e) {
	contents = args;
	startPos = x;
	endPos = e;
    }
}
